Bug 816629 - Torquebox: 'Task concurrency > backgroundable tasks' test fails on OpenJDK
Torquebox: 'Task concurrency > backgroundable tasks' test fails on OpenJDK
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0.0.ER6
Assigned To: Bob McWhirter
Oliver Kišš
Depends On:
  Show dependency treegraph
Reported: 2012-04-26 10:35 EDT by Oliver Kišš
Modified: 2015-08-02 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-30 06:47:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TORQUE-793 Major Closed Task concurrency > backgroundable tasks test fails on OpenJDK 2012-11-05 11:47:14 EST

  None (edit)
Description Oliver Kišš 2012-04-26 10:35:23 EDT
Description of problem:
Task concurrency > backgroundable tasks test fails on OpenJDK 1.6.0_22 in Torquebox 2.0.1.

This test does pass on Sun JDK (1.6.0_20 and 1.6.0_26)

RSpec report extract:

task concurrency
backgroundable tasks
it should behave like concurrent processors
should have concurrent processors 
expected #has_content?("tasks fired") to return true, got false
./spec/task_concurrency_spec.rb:27:in `(root)'
./target/rspec-runner.rb:97:in `(root)'
-e:1:in `(root)'
25 path = "/task-concurrency?#{@type}" 
26 visit path
27 page.should have_content('tasks fired')
28 responses = Set.new
29 100.times do
30# gem install syntax to get syntax highlighting

Additional info:
Comment 1 tcrawley 2012-05-01 09:34:13 EDT
This test passes for me using OpenJDK 1.6.0_24. We do occasionally get intermittent failures on some specs. Can you run it again and see if it fails? If so, can you attach the server.log (integration-tests/target/integ-dist/jboss/standalone/log/server.log)? If you don't want to run all of the integs, you can run this one in isolation via 'mvn install -Dspec=spec/task_concurrency_spec.rb'.
Comment 2 JBoss JIRA Server 2012-05-21 10:15:00 EDT
Bob McWhirter <bmcwhirt@redhat.com> updated the status of jira TORQUE-793 to Resolved
Comment 3 Marek Novotny 2012-05-29 11:48:56 EDT
Oliver, could you rerun the tests and report back if that still fails ?
Comment 4 Oliver Kišš 2012-05-30 03:16:03 EDT
Test passes with Torquebox 2.0.3 and EAP6 ER7.
Comment 5 Marek Novotny 2012-05-30 03:24:23 EDT
Oliver, you should verify that with EAP6 ER8.
Comment 6 Oliver Kišš 2012-05-30 06:47:27 EDT
Torquebox 2.0.3.redhat.1 with EAP6 ER8 passes too.
Comment 7 JBoss JIRA Server 2012-07-26 17:58:02 EDT
Benjamin Browning <bbrowning@redhat.com> updated the status of jira TORQUE-793 to Closed

Note You need to log in before you can comment on or make changes to this bug.